[kwlug-disc] question about querying ubuntu metapackages(?)

Robert P. J. Day rpjday at crashcourse.ca
Tue May 4 13:47:11 EDT 2010


   thoroughly immersed in lucid lynx, and i find i want to do some  
development which will require the bad craziness that is the suite of  
autotools, so i'm curious and i run:

$ apt-cache search automake
automake - A tool for generating GNU Standards-compliant Makefiles
automake1.10 - A tool for generating GNU Standards-compliant Makefiles
automake1.4 - A tool for generating GNU Standards-compliant Makefiles
automake1.9 - A tool for generating GNU Standards-compliant Makefiles
automake1.9-doc - A tool for generating GNU Standards-compliant Makefiles
autotools-dev - Update infrastructure for config.{guess,sub} files
gnome-common - common scripts and macros to develop with GNOME
pkg-config - manage compile and link flags for libraries
qt3-designer - Qt3 Designer
automake1.7 - A tool for generating GNU Standards-compliant Makefiles
autoproject - create a skeleton source package for a new program
ftjam - FreeType version of Jam, a replacement for make
jam - Software-build tool, replacement for make
libticables-dev - support library for Texas Instruments link cables  
[development files]
$

   now, given that there are multiple versions of automake shown  
above, i have to assume that if i choose to install "automake", well,  
what exactly is going to happen?  and what incantation will explain to  
me what the package "name" of "automake" really represents?  a  
specific version?  all versions?  what?  thanks.

rday

p.s.  this ubuntu thing isn't half bad.




More information about the kwlug-disc_kwlug.org mailing list